package com.usky.iot.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.common.core.bean.CommonPage;
import com.usky.iot.domain.DmpSoftwareUpgrade;
import com.usky.iot.service.DmpSoftwareUpgradeService;
import com.usky.iot.service.vo.DmpSoftwareUpgradeRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

/**
 * 软件升级信息表
 *
 * @author ya
 * @since 2022-10-08
 */
@RestController
@RequestMapping("/dmpSoftwareUpgrade")
public class DmpSoftwareUpgradeController {

    @Autowired
    private DmpSoftwareUpgradeService dmpSoftwareUpgradeService;

    /**
     * 新增
     * @param dmpProductInfo
     * @param file
     * @return
     */
    @PostMapping
    public ApiResult<Void> add(@RequestPart DmpSoftwareUpgrade dmpProductInfo, @RequestPart MultipartFile file){
        dmpSoftwareUpgradeService.add(dmpProductInfo,file);
        return ApiResult.success();
    }



    /**
     * 分页
     * @param dmpSoftwareUpgradeRequest
     * @return
     */
    @GetMapping("/page")
    public ApiResult<CommonPage<DmpSoftwareUpgrade>> page(@RequestBody DmpSoftwareUpgradeRequest dmpSoftwareUpgradeRequest)
    {
        return ApiResult.success(dmpSoftwareUpgradeService.page(dmpSoftwareUpgradeRequest));
    }
}

